My Project: dgCollisionBVH::dgBVHRay Struct Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionBVH::dgBVHRay Struct Reference

`#include <dgCollisionBVH.h>`

Inheritance diagram for dgCollisionBVH::dgBVHRay:

## Public Member Functions

| dgBVHRay (const dgVector &l0, const dgVector &l1)
Public Member Functions inherited from dgFastRayTest
DG_INLINE | dgFastRayTest (const dgVector &l0, const dgVector &l1)
dgFloat32 | PolygonIntersect (const dgVector &normal, dgFloat32 maxT, const dgFloat32 *const polygon, dgInt32 strideInBytes, const dgInt32 *const indexArray, dgInt32 indexCount) const
dgFloat32 | PolygonIntersectFallback (const dgVector &normal, dgFloat32 maxT, const dgFloat32 *const polygon, dgInt32 strideInBytes, const dgInt32 *const indexArray, dgInt32 indexCount) const
DG_INLINE dgInt32 | BoxTest (const dgVector &minBox, const dgVector &maxBox) const
DG_INLINE dgFloat32 | BoxIntersect (const dgVector &minBox, const dgVector &maxBox) const

## Public Attributes

dgMatrix | m_matrix
dgVector | m_normal
dgUnsigned32 | m_id
dgFloat32 | m_t
void * | m_userData
const dgBody * | m_myBody
const dgCollisionBVH * | m_me
Public Attributes inherited from dgFastRayTest
dgVector | m_p0
dgVector | m_p1
dgVector | m_diff
dgVector | m_dpInv
dgVector | m_dpBaseInv
dgVector | m_minT
dgVector | m_maxT
dgVector | m_zero
dgVector | m_isParallel
dgFloat32 | m_dirError
dgFloat32 | m_magRayTest

## Constructor & Destructor Documentation

## § dgBVHRay()

dgCollisionBVH::dgBVHRay::dgBVHRay | ( | const dgVector & | l0,
|  | const dgVector & | l1
| ) |  |

inline

## Member Data Documentation

## § m_id

dgUnsigned32 dgCollisionBVH::dgBVHRay::m_id

## § m_matrix

dgMatrix dgCollisionBVH::dgBVHRay::m_matrix

## § m_me

const dgCollisionBVH* dgCollisionBVH::dgBVHRay::m_me

## § m_myBody

const dgBody* dgCollisionBVH::dgBVHRay::m_myBody

## § m_normal

dgVector dgCollisionBVH::dgBVHRay::m_normal

## § m_t

dgFloat32 dgCollisionBVH::dgBVHRay::m_t

## § m_userData

void* dgCollisionBVH::dgBVHRay::m_userData

The documentation for this struct was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionBVH.h